version: '3.3'
services:

  wordpressdb:
    image: mariadb:latest
    container_name: wordpressdb
    volumes:
      - "./database:/var/lib/mysql"
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: wordpress-db-password
      MYSQL_DATABASE: wordpress

  wordpress:
    image: wordpress:latest
    container_name: wordpress
    hostname: wordpress
    depends_on:
      - wordpressdb
    restart: always
    links:
      - wordpressdb:mysql
    ports:
      - "8080:80"
    volumes:
      - "./html:/var/www/html"
    environment:
      WORDPRESS_DB_USER: root
      WORDPRESS_DB_PASSWORD: wordpress-db-password

  swag:
    image: linuxserver/swag
    container_name: swag
    depends_on:
      - wordpress
    restart: always
    volumes:
      - ./default.conf:/config/nginx/site-confs/default.conf
    environment:
      - EMAIL=huisman.peter@siteclx.com
      - URL=siteclx.com
      - SUBDOMAINS=huisland
      - VALIDATION=http
      - TZ=Europe/Amsterdam
      - PUID=500
      - PGID=500
      - ONLY_SUBDOMAINS=true
    ports:
      - "443:443"
      - "80:80"